# Functor BatNumber.MakeCompare

    module MakeCompare: functor (Base : NUMERIC_BASE) -> Compare  with type bat__compare_t = Base.t

Parameters: |
`Base` | : | `NUMERIC_BASE`

    type bat__compare_t

    val (<>) : bat__compare_t -> bat__compare_t -> bool

    val (>=) : bat__compare_t -> bat__compare_t -> bool

    val (<=) : bat__compare_t -> bat__compare_t -> bool

    val (>) : bat__compare_t -> bat__compare_t -> bool

    val (<) : bat__compare_t -> bat__compare_t -> bool

    val (=) : bat__compare_t -> bat__compare_t -> bool